OpenVDB 13.0.0

Loading...
Searching...
No Matches
CanConvertType< FromType, ToType > Struct Template Reference

CanConvertType<FromType, ToType>::value is `true` if a value of type ToType can be constructed from a value of type FromType. More...

`#include <openvdb/Types.h>`

## Public Types
enum | { value = std::is_constructible<ToType, FromType>::value }

## Detailed Description

template<typename FromType, typename ToType>
struct openvdb::v13_0::CanConvertType< FromType, ToType >

CanConvertType<FromType, ToType>::value is `true` if a value of type ToType can be constructed from a value of type FromType.

## Member Enumeration Documentation

## ◆ anonymous enum

template<typename FromType, typename ToType>

anonymous enum

Enumerator
value |